Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class DataObject.Registry

    java.lang.Object
      org.openide.loaders.DataObject.Registry

Enclosing class:
  DataObject

    public static final class DataObject.Registry

extends Object

Registry of modified data objects. The registry permits attaching of a change listener to be informed when the count of modified objects changes.

Method Summary
`void` | `addChangeListener(ChangeListener chl)` Add new listener to changes in the set of modified objects.
`DataObject[]` | `getModified()` Get modified objects.
`Set` | `getModifiedSet()` Get a set of modified data objects.
`void` | `removeChangeListener(ChangeListener chl)` Remove a listener to changes in the set of modified objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener chl)

  Add new listener to changes in the set of modified objects.

  Parameters:
    `chl` - listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener chl)

  Remove a listener to changes in the set of modified objects.

  Parameters:
    `chl` - listener to remove

### getModifiedSet

    public Set getModifiedSet()

  Get a set of modified data objects.

  Returns:
    an unmodifiable set of `DataObject`s

### getModified

    public DataObject[] getModified()

  Get modified objects.

  Returns:
    array of objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.